vector.hh File Reference
`#include <mia/core/defines.hh>`
`#include <mia/core/errormacro.hh>`
`#include <memory>`
`#include <cstring>`
`#include <cassert>`
`#include <ostream>`
Include dependency graph for core/vector.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | TCArrayWrapper< T >
| A wrapper around the c-array to provide an STL like interface for iterators. More...

## Typedefs

typedef TCArrayWrapper< double > | CDoubleVector

## Functions

template<typename T>
std::ostream & | operator<< (std::ostream &os, const TCArrayWrapper< T > &v)

## Function Documentation

## operator<<()

template<typename T>

std::ostream & operator<< | ( | std::ostream & | os,
|  | const TCArrayWrapper< T > & | v )

Definition at line 249 of file core/vector.hh.